Bug 37434 - [WINCE] Don't define WTF_CPU_MIDDLE_ENDIAN=1
Summary: [WINCE] Don't define WTF_CPU_MIDDLE_ENDIAN=1
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 38511
  Show dependency treegraph
 
Reported: 2010-04-11 21:58 PDT by Kwang Yul Seo
Modified: 2010-05-04 02:03 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.01 KB, patch)
2010-04-11 22:04 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2010-04-11 21:58:05 PDT
Windows CE supports little-endian format only, so don't define WTF_CPU_MIDDLE_ENDIAN=1. Otherwise, it causes a crash in dtoa.
Comment 1 Kwang Yul Seo 2010-04-11 22:04:44 PDT
Created attachment 53145 [details]
Patch

MSDN mentions that Windows CE supports little-endian format only.

http://msdn.microsoft.com/en-us/library/ms905093.aspx
Comment 2 Laszlo Gombos 2010-04-13 23:14:27 PDT
Should we define __ARM_EABI__ for WinCE instead ?
Comment 3 Kwang Yul Seo 2010-04-14 21:14:14 PDT
(In reply to comment #2)
> Should we define __ARM_EABI__ for WinCE instead ?

We can add __ARM_EABI__ to the preprocessor definition in MSVC project or vsprops. However, as we don't have a build system for WinCE, I think it is better to keep the guard here. It seems Android does the same thing.

Who defines __ARM_EABI__ in other platforms?
Comment 4 Patrick R. Gansterer 2010-04-16 03:54:19 PDT
I did the same patch in my working copy too, but didn't find the MSDN entry about the little-endian format ;-).
I think this patch is ok since ANDROID does the same "hack" and we don't have a WinCE buildsystem in the moment.
Comment 5 Laszlo Gombos 2010-04-18 21:51:26 PDT
Comment on attachment 53145 [details]
Patch

r=me.
Comment 6 WebKit Commit Bot 2010-04-18 22:13:36 PDT
Comment on attachment 53145 [details]
Patch

Clearing flags on attachment: 53145

Committed r57804: <http://trac.webkit.org/changeset/57804>
Comment 7 WebKit Commit Bot 2010-04-18 22:13:41 PDT
All reviewed patches have been landed.  Closing bug.